Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class Collection

All Superinterfaces:
  IfsEventHandler

All Known Implementing Classes:
  CachedCollection, CachedResolverCollection, CachedSelectorCollection, LibraryObjectLookupCacheCollection, TieLibraryObjectLookupCacheCollection, UncachedPreparedSelectorCollection, UncachedSelectorCollection

    public interface class Collection

extends IfsEventHandler

A Collection is a set of Java objects.

iFS uses Collections to provide an easy-to-use API to access various sets of LIBRARYOBJECTs. LibrarySession and S_LibrarySession provide several methods, `getcollectionCollection`, to access the Collections they maintain.

Collection implementations may cache the items they contain. For this reason, Collections are more performant than Selectors or S_Selectors.

For performance, applications iterating over the items in a Collection should use `getItems()` rather than `getItems(int)`.

(Published)

Method Summary
`java.lang.Object` | `checkItemByUpperCaseName(java.lang.String name)` Gets the specified item in this Collection by the uppercase name, *and returns null if the item is not found.
`java.lang.Object` | `getItemByUpperCaseName(java.lang.String name)` Gets the specified item in this Collection by the uppercase name.
`int` | `getItemCount()` Gets the number of items in this Collection.
`java.lang.Object[]` | `getItems()` Gets an array containing the items in this Collection.
`java.lang.Object` | `getItems(int index)` Gets the specified item in this Collection.
`java.lang.Object` | `getItems(java.lang.String name)` Gets the specified item in this Collection.
`java.util.Vector` | `getItemsVector()` Gets a vector containing the items in this Collection.
`void` | `reset()` Resets this Collection.

Methods inherited from interface oracle.ifs.common.IfsEventHandler
`handleEvent`

Method Detail

### getItemCount

    int getItemCount()
                     throws IfsException

  Description copied from interface: `Collection`
  Gets the number of items in this Collection.

  Returns:
    the number of items in this Collection
  Throws:
    `IfsException` - (IFS-12211) if the operation fails
  (Published)

### getItems

    java.lang.Object[] getItems()
                                throws IfsException

  Description copied from interface: `Collection`
  Gets an array containing the items in this Collection.

  Returns:
    the items in this Collection
  Throws:
    `IfsException` - (IFS-12212) if the operation fails
  (Published)

### getItems

    java.lang.Object getItems(int index)
                              throws IfsException

  Description copied from interface: `Collection`
  Gets the specified item in this Collection.

  Parameters:
    `index` - the zero-based index of the item
  Returns:
    the item
  Throws:
    `IfsException` - (IFS-12213) if the operation fails
  (Published)

### getItems

    java.lang.Object getItems(java.lang.String name)
                              throws IfsException

  Description copied from interface: `Collection`
  Gets the specified item in this Collection.

  Parameters:
    `name` - the name of the item
  Returns:
    the item
  Throws:
    `IfsException` - (IFS-12214) if the operation fails
  (Published)

### getItemByUpperCaseName

    java.lang.Object getItemByUpperCaseName(java.lang.String name)
                                            throws IfsException

  Description copied from interface: `Collection`
  Gets the specified item in this Collection by the uppercase name.

  Parameters:
    `name` - the name of the item
  Returns:
    the item
  Throws:
    `IfsException` - (IFS-12214) if the operation fails
  (Unpublished)

### checkItemByUpperCaseName

    java.lang.Object checkItemByUpperCaseName(java.lang.String name)
                                              throws IfsException

  Description copied from interface: `Collection`
  Gets the specified item in this Collection by the uppercase name, *and returns null if the item is not found.

  Parameters:
    `name` - the name of the item
  Returns:
    the item, or null if not found
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getItemsVector

    java.util.Vector getItemsVector()
                                    throws IfsException

  Description copied from interface: `Collection`
  Gets a vector containing the items in this Collection.

  The order of the items in the vector is identical to the order of the items in the array returned by `getItems()`.

  Returns:
    a vector containing the items in this Collection
  Throws:
    `IfsException` - (IFS-12215) if the operation fails
  (Published)

### reset

    void reset()
               throws IfsException

  Description copied from interface: `Collection`
  Resets this Collection.

  Resetting a Collection causes the items in it to be redetermined.

  Throws:
    `IfsException` - (IFS-12216) if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD